Page MenuHomePhabricator

Parsoid/VE adds images with pointless link parameter
Closed, ResolvedPublic0 Estimated Story Points

Description

https://en.wikipedia.org/w/index.php?title=Solar_cycle&diff=next&oldid=675200924

"[[File:Carbon14_with_activity_labels.svg|link=https://en.wikipedia.org/wiki/File:Carbon14_with_activity_labels.svg|thumb|350x350px|Solar activity events recorded in radiocarbon. Present period is on right. Values since 1900 not shown.]]"

contains useless code.

Event Timeline

Magioladitis raised the priority of this task from to Needs Triage.
Magioladitis updated the task description. (Show Details)
Magioladitis added a project: VisualEditor.
Magioladitis added a subscriber: Magioladitis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 7:20 AM
Jdforrester-WMF renamed this task from VE adds images with patameter link that matches the filename to VE adds images with pointless link parameter.Aug 11 2015, 7:08 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Can't reproduce - is this a common occurence?

Krenair added a subscriber: Krenair.Sep 2 2015, 1:49 AM
Jdforrester-WMF renamed this task from VE adds images with pointless link parameter to Parsoid/VE adds images with pointless link parameter.Sep 15 2015, 2:50 AM
Jdforrester-WMF edited a custom field.
ssastry moved this task from Needs Triage to In Progress on the Parsoid board.Oct 16 2015, 3:15 PM

Change 246852 had a related patch set uploaded (by Cscott):
WIP: T108504 normalize before comparing link

https://gerrit.wikimedia.org/r/246852

ssastry moved this task from In Progress to Next Up on the Parsoid board.Dec 17 2015, 5:36 PM

Steps to reproduce (at least one method):

  1. Open a page that has an image in VisualEditor.
  2. Open another page in VisualEditor.
  3. Select and copy (or cut) an image and its caption from the first page.
  4. Paste it into the second page.
  5. Save the page.
  6. Go back to the wikitext editor and remove the |link= stuff.

As of today, these steps work for 100% of my attempts in Safari 9 and Firefox 43 on Mac 10.10.5. Copying an image from within the same article does not produce these results. Copying an image across wikis does produce the same results, and additionally adds the complication of T123768: When copying an image from a non-English wiki, use the correct File: namespace for the target wiki, not the source wiki.

Elitre added a subscriber: Elitre.Jan 22 2016, 11:37 AM
Aklapper edited projects, added Parsoid; removed Parsoid-Edit-Support.Feb 29 2020, 5:15 PM

Change 246852 had a related patch set uploaded (by Aklapper; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] WIP: normalize before comparing link

https://gerrit.wikimedia.org/r/246852

@cscott: Hi! This task has been assigned to you a while ago. Do you still plan to work on this task? Thanks.

Aklapper removed cscott as the assignee of this task.Jun 19 2020, 4:24 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

In T259855 we accidentally saved a bunch of pages without selser, and a few of them were clearly affected by this bug. We also commonly see bug reports about this in visual editor.

Change 623104 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/services/parsoid@master] Don't generate |link=... in image markup when href is encoded

https://gerrit.wikimedia.org/r/623104

Restricted Application removed a project: Patch-Needs-Improvement. · View Herald TranscriptAug 29 2020, 10:56 AM

Change 623104 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Don't generate |link=... in image markup when href is encoded

https://gerrit.wikimedia.org/r/623104

Change 627345 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/vendor@master] Bump parsoid to 0.13.0-a9

https://gerrit.wikimedia.org/r/627345

Change 627345 merged by jenkins-bot:
[mediawiki/vendor@master] Bump parsoid to 0.13.0-a9

https://gerrit.wikimedia.org/r/627345

ssastry closed this task as Resolved.Sep 17 2020, 12:16 AM
ssastry assigned this task to matmarex.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 17 2020, 12:16 AM